com.pixelmed.dicom

## Class RealWorldValueTransform

- java.lang.Object
- - com.pixelmed.dicom.RealWorldValueTransform

-     public class RealWorldValueTransform
      extends java.lang.Object

  A transformation constructed from a DICOM attribute list that extracts those attributes which describe how stored pixel values are translated into real world values (e.g., Hounsfield Units, cm/s).

  Looks first for a per-frame functional group RealWorldValueMappingSequence then looks in the shared functional groups, then the top level of the dataset, as well as trying to find the Rescale Slope and Intercept values in the top level of the dataset.

  Note that multiple transformations (for each frame) may be present and are supported.

  Does not currently support a LUT in the Modality LUT Sequence, only linear rescale values.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RealWorldValueTransform(AttributeList list)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `java.lang.String` | `toString(int frame, double storedValue)` Given a stored pixel value, return a string containing a description of all known real world values that can be derived from it.
    `java.lang.String` | `toString(int frame, int storedValue)` Given a stored pixel value, return a string containing a description of all known real world values that can be derived from it.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RealWorldValueTransform

          public RealWorldValueTransform(AttributeList list)

      Parameters:
        `list` - the dataset of an image object to be searched for transformations

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString(int frame,
                                           int storedValue)

      Given a stored pixel value, return a string containing a description of all known real world values that can be derived from it.
      Parameters:
        `frame` - numbered from zero; needed to select which transform if frame-specific
        `storedValue` - the actual stored pixel value to look up

    - #### toString

          public java.lang.String toString(int frame,
                                           double storedValue)

      Given a stored pixel value, return a string containing a description of all known real world values that can be derived from it.
      Parameters:
        `frame` - numbered from zero; needed to select which transform if frame-specific
        `storedValue` - the actual stored pixel value to look up